Subject: Re: df.exe gives me an error message...
From: [email-masked] (Eric Britten)

20 Aug 1997 09:54:48 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <01BCAC23.D7422380@panos>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (Win95; I)
Original-To: "'Cygnus GNU Programming Environment'" <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Panos Platon Tsapralis wrote:

>         I tried to use the df.exe file that you sent to me, attached
> to your last message, and it gives me the following message in the
> command line of BASH :
>
> bash.exe: /GNUWIN32/B18/H-I386-CYGWIN32/BIN/df.exe: (null)
>
> while, at the same time a dialog box appears on-screen, with a caption
> "Error Starting Program", a "OK" button and a message that says :
>
> "The DF.EXE file is linked to missing export
> KERNEL32.DLL:GetDiskFreeSpaceExA.
>
> What am I missing ?

It looks like you are using the wrong version of Windows or df should
have been written to use GetDiskFreeSpaceA if GetDiskFreeSpaceExA
doesn't exist.  GetDiskFreeSpaceExA is available in Windows 95
OSR2(System Properties will say "Microsoft Windows 95" "4.00.950 B" if
the B is not there you do not have OSR2).  Windows NT 4.0 does support
the GetDiskFreeSpaceExA function.  Thus your OS must be Windows 95.

The df utility should be rewritten to use GetDiskFreeSpaceA if
GetDiskFreeSpaceExA doesn't exist.  Its not too hard.  Use
LoadLibrary/LoadLibraryEx to load Kernel32.dll, then GetProcAddress to
find GetDiskFreeSpaceExA.  If it is not present, use GetDiskFreeSpaceA.
Unfortunately GetDiskFreeSpaceA may return incorrect information on the
size of the disks.

Eric Britten

>
>
> +----------------------------------------------+
> | Panos Platon Tsapralis,Software Engineer,    |
> | M.I.S.Applications Manager - TeleStet,       |
> +----------------------------------------------+
> | E-mail Address   = [email-masked],               |
> | Home Address     = 3 Aishylou Str., 15234,   |
> |                    Halandri, Athens,         |
> |                    Attica, GREECE,           |
> | Home Phone No.   = (00301)68.58.298,         |
> | Bysiness Address = 60 Kifissias Ave., 15125, |
> |                    Amaroussion, Athens,      |
> |                    Attica, GREECE,           |
> | Office Phone No. = (00301)61.86.013,         |
> | Mobile Phone No. = (003093)23.90.13.         |
> +----------------------------------------------+
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".